Nios® II Embedded Design Suite (EDS)
Support for Embedded Development Tools, Processors (SoCs and Nios® II processor), Embedded Development Suites (EDSs), Boot and Configuration, Operating Systems, C and C++
12471 Discussions

Error occurs starting Nios II SBT (18.4) after installing plugins through Eclipse marketplace

meenalkb
Novice
733 Views

I would like to install some plugins into Nios II SBT 18.4.

Specifically, these are the Percepio Tracealyzer plugin and the Micrium uC Probe plugin.

However, I get the following error message when the IDE attempts to restart after the installation - (this has now happened with both plugins): "An error has occurred. See the log file <...>.log. Then the IDE will not restart at all, until I go and physically delete the C:\Users\<user>\.altera.sbt4e folder.

I have attached a log file. Would anyone be able to help me debug this issue? Many thanks.

 

0 Kudos
10 Replies
FredSkar
Beginner
707 Views

Hello,

The Nios IDE uses a way to old Eclipse version. So the plugin doesn't work but if I remember right the IDE should still start. My suggestion is to uninstall the plugin and then you take a memory dump manually from the IDE and save it as a .bin or .hex file. Then you can open it in Tracealyzer.

meenalkb
Novice
679 Views

Thank you. I have successfully used the method you described, for Tracealyzer. However, the same issue applies to the other plugin(s) I would like to install.

I am hoping someone from Intel will reply and tell me about when Nios II SBT is going to be updated to a newer version of Eclipse? Is there a way I can request this?

BoonBengT_Intel
Moderator
645 Views

Hi @meenalkb,

Thank you for posting in Intel community forum, hope this message find you well and apologies for the delayed in response.
Eclipse for NIOS II is based on the publicly available eclipse, per my understanding there should be nothing that have been introduced to explicitly stop the plugin from working, but unfortunately we do not perform any interoperability testing with the plugin mention.

Upon some investigation, suspecting that the eclipse mars upon plugin installation, the rebuilding the files might have cause some files corruption.
Found this particular workaround in the nets, can you please try to see if that helps:
- Start fresh from a working version of NIOS 2.
- Installed the plugin, but do not restart the application.
- Close the NIOS SBT manually.
- Navigate to the profiles (i.e. C:\Users\<user>\.altera.sbt4e\<quartusversion>-windows64\configuration) folder.
- There should be a 'org.eclipse.equinox.simpleconfigurator''org.eclipse.equinox.simpleconfigurator.old'
- Try to start NIOS sbt and check if plugin are available.

As for updates on the newer version of eclipse, as of now I have not heard of any updates from the relevant team, allow me to check again and reconfirm on this.
Please do try and let us know if that helps.

Warm regards.
BB

BoonBengT_Intel
Moderator
633 Views

Hi @meenalkb,

Greeting, by any chances did you managed to try out the steps mention?

Please do let us know if that has provided any helps.

Thank you.

Warm regards

BB

meenalkb
Novice
624 Views

Hi @BoonBengT_Intel 

Thanks for the suggestion.

Unfortunately it did not work - I followed the steps and could see "org.eclipse.equinox.simpleconfigurator" folder - but still get the error message when restarting Nios II SBT.

BoonBengT_Intel
Moderator
586 Views

Hi @meenalkb,

Thanks again for trying out the method to see if it works.
Unfortunately we do not officially support 3rd party plugin on the Nios SBT.
However we would try our best to feedback this to our internal team or find a workaround for this.
If you have a wish list of plugin, please do share it to us and we would include this to be review in the next gen planning for the Nios tool.

Warm regards
BB

BoonBengT_Intel
Moderator
535 Views

Hi @meenalkb,

Hope this message find you well and good day, unfortunately as we do not receive any any further clarification or previous clarification that we have provided. Please post a response in the next 15 days to allow me to continue to support you. After 15 days, this thread will be transitioned to community support. The community users will be able to help you with your follow-up questions. 
 
Warm Regards
BB

meenalkb
Novice
526 Views

Hi, I'm very sorry for the delay in my reply.

The most useful plug-ins for to install would be Tracealyzer and SonarLint.

 

BoonBengT_Intel
Moderator
520 Views

Hi @meenalkb,

Appreciate the effort for giving feedback on the useful plugin mentioned. It has been well noted and we will take this request back to the development team for for consideration. Hence, with that being said, we would proceed to close the thread again would like to say thank you for your feedback.

Warm regards

BB

meenalkb
Novice
496 Views

@BoonBengT_Intel 

Thanks, can you follow up and inform me when you know that these updates are going to be available.

Kind regards

Reply